<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/layout_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/appBarLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/transparent"
            app:elevation="0dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_scrollFlags="scroll|exitUntilCollapsed">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_top_bg"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:src="@mipmap/ic_home_top_bg"
                    app:layout_constraintDimensionRatio="h,1125:786"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="?actionBarSize"
                    android:text="发现更多商机"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_26"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_search"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_44"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_14"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:background="@drawable/shape_white_cor10"
                    android:drawableStart="@mipmap/ic_search"
                    android:drawablePadding="@dimen/dp_8"
                    android:gravity="center_vertical"
                    android:paddingStart="@dimen/dp_12"
                    android:text="请搜索关键词"
                    android:textColor="@color/color_bcbcbc"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintTop_toBottomOf="@id/tv_title" />

                <TextView
                    android:id="@+id/tv_hot_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_14"
                    android:text="热搜"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_16"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_search" />

                <View
                    android:layout_width="@dimen/dp_2"
                    android:layout_height="@dimen/dp_18"
                    android:layout_marginStart="@dimen/dp_8"
                    android:background="@color/white"
                    app:layout_constraintBottom_toBottomOf="@id/tv_hot_title"
                    app:layout_constraintStart_toEndOf="@id/tv_hot_title"
                    app:layout_constraintTop_toTopOf="@id/tv_hot_title" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_hot_keyword"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_18"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:orientation="horizontal"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    app:layout_constraintBottom_toBottomOf="@id/tv_hot_title"
                    app:layout_constraintEnd_toStartOf="@id/iv_refresh"
                    app:layout_constraintStart_toEndOf="@id/tv_hot_title"
                    app:layout_constraintTop_toTopOf="@id/tv_hot_title"
                    tools:itemCount="4"
                    tools:listitem="@layout/listitem_home_hot_keyword" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_refresh"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:padding="@dimen/dp_4"
                    android:src="@mipmap/ic_refresh"
                    app:layout_constraintBottom_toBottomOf="@id/tv_hot_title"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@id/tv_hot_title" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_menu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:background="@drawable/shape_white_top_cor20"
                    android:paddingTop="@dimen/dp_17"
                    android:paddingBottom="@dimen/dp_20"
                    app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                    app:layout_constraintTop_toBottomOf="@id/tv_hot_title"
                    app:spanCount="4"
                    tools:listitem="@layout/listitem_home_menu" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </com.google.android.material.appbar.AppBarLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="-45dp"
            android:paddingTop="@dimen/dp_45"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_title_bg"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_home_title_bg"
                app:layout_constraintDimensionRatio="h,1125:354"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_bid_title_new"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_16"
                android:text="最新"
                android:textColor="@color/color_222222"
                android:textSize="@dimen/sp_20"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_bid_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_home_bid_title_new_bg"
                android:gravity="center"
                android:paddingStart="@dimen/dp_4"
                android:paddingTop="@dimen/dp_1"
                android:paddingEnd="@dimen/dp_4"
                android:paddingBottom="@dimen/dp_1"
                android:text="标讯"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_18"
                app:layout_constraintBottom_toBottomOf="@id/tv_bid_title_new"
                app:layout_constraintStart_toEndOf="@id/tv_bid_title_new"
                app:layout_constraintTop_toTopOf="@id/tv_bid_title_new" />

            <TextView
                android:id="@+id/tv_update_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:text="已更新2.4万条"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_12"
                app:layout_constraintBottom_toBottomOf="@id/tv_bid_title"
                app:layout_constraintStart_toEndOf="@id/tv_bid_title"
                app:layout_constraintTop_toTopOf="@id/tv_bid_title" />

            <com.scwang.smart.refresh.layout.SmartRefreshLayout
                android:id="@+id/mRefreshLayout"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginTop="@dimen/dp_12"
                android:background="@color/windowBackground"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_bid_title">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/mRecyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/listitem_bid" />
            </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</androidx.constraintlayout.widget.ConstraintLayout>